org.apache.poi.xslf.usermodel

## Enum XSLFTableStyle.TablePartStyle

- java.lang.Object
- - java.lang.Enum<XSLFTableStyle.TablePartStyle>
  - - org.apache.poi.xslf.usermodel.XSLFTableStyle.TablePartStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XSLFTableStyle.TablePartStyle>
  Enclosing class:
    XSLFTableStyle

      public static enum XSLFTableStyle.TablePartStyle
      extends java.lang.Enum<XSLFTableStyle.TablePartStyle>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `band1H`
    `band1V`
    `band2H`
    `band2V`
    `firstCol`
    `firstRow`
    `lastCol`
    `lastRow`
    `neCell`
    `nwCell`
    `seCell`
    `swCell`
    `wholeTbl`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XSLFTableStyle.TablePartStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XSLFTableStyle.TablePartStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### wholeTbl

          public static final XSLFTableStyle.TablePartStyle wholeTbl

    - #### band1H

          public static final XSLFTableStyle.TablePartStyle band1H

    - #### band2H

          public static final XSLFTableStyle.TablePartStyle band2H

    - #### band1V

          public static final XSLFTableStyle.TablePartStyle band1V

    - #### band2V

          public static final XSLFTableStyle.TablePartStyle band2V

    - #### firstCol

          public static final XSLFTableStyle.TablePartStyle firstCol

    - #### lastCol

          public static final XSLFTableStyle.TablePartStyle lastCol

    - #### firstRow

          public static final XSLFTableStyle.TablePartStyle firstRow

    - #### lastRow

          public static final XSLFTableStyle.TablePartStyle lastRow

    - #### seCell

          public static final XSLFTableStyle.TablePartStyle seCell

    - #### swCell

          public static final XSLFTableStyle.TablePartStyle swCell

    - #### neCell

          public static final XSLFTableStyle.TablePartStyle neCell

    - #### nwCell

          public static final XSLFTableStyle.TablePartStyle nwCell

  - ### Method Detail

    - #### values

          public static XSLFTableStyle.TablePartStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XSLFTableStyle.TablePartStyle c : XSLFTableStyle.TablePartStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XSLFTableStyle.TablePartStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.